#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_OnlineRewardsData
{
	//key
	int mID;
	//时间
	int mTime;
	//金币数量
	int mGoldNumber;
	//初级加成
	int mPrimary;
	//高级加成
	int mSenior;
};

class M_OnlineRewards
{
public:
private:
	static std::auto_ptr<M_OnlineRewards> msSingleton;
public:
	int GetCount();
	const M_OnlineRewardsData* GetData(int ID);
	boost::unordered_map<int, M_OnlineRewardsData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_OnlineRewards* GetSingleton();
private:
	boost::unordered_map<int, M_OnlineRewardsData> mMapData;
};
